Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1503)

Unified Diff: build/android/buildbot_functions.sh

Issue 10629011: Disable set -e for extract build step (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 8 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/android/buildbot_functions.sh
diff --git a/build/android/buildbot_functions.sh b/build/android/buildbot_functions.sh
index 42d63c2280005e3cc5930b64196ec0ae8b56215d..362c70fabbf003549fd0e72dc1bb301632261a79 100755
--- a/build/android/buildbot_functions.sh
+++ b/build/android/buildbot_functions.sh
@@ -266,10 +266,24 @@ function bb_extract_build {
return 1
fi
+ # When extract_build.py downloads an unversioned build it
+ # issues a warning by exiting with large numbered return code
+ # When it fails to download it build, it exits with return
+ # code 1. We disable halt on error mode and return normally
+ # unless the python tool returns 1.
+ (
+ set +e
python ../../../../scripts/slave/extract_build.py \
--build-dir "$SRC_ROOT" \
--build-output-dir "out" \
--target Release \
--factory-properties "$FACTORY_PROPERTIES" \
--build-properties "$BUILD_PROPERTIES"
+ extract_exitcode=$?
+ if (( $extract_exitcode > 1 )); then
+ echo "@@@STEP_WARNINGS@@@"
+ return
+ fi
+ return $extract_exitcode
+ )
}
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698